<?php
/* Autor...: Grupo Deltron S.A. */
/* Esquema.: modelo_llamadas_nhc_5.xml */
/* Generado: 2014-11-22 17:16:09 */

/* M�todos de acceso a los campos de la tabla cr_llamada_resultado */
abstract class BaseCr_llamada_resultadoBN
{
    /* Campos de la tabla */
    private $i_IdResultado;    // IdResultado: ( no definido )
    private $s_Descripcion;    // Descripcion: ( no definido )
    private $i_FlagFecha;    // FlagFecha: ( no definido )
    private $i_FlagHora;    // FlagHora: ( no definido )
    private $i_FlagTipoPago;    // FlagTipoPago: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $i_Orden;    // Orden: ( no definido )

    /* Establece el valor del campo IdResultado */
    public function setIdResultado( $i_IdResultado )
    {
        $this->i_IdResultado = $i_IdResultado;
    }

    /* Obtiene el valor del campo IdResultado */
    public function getIdResultado()
    {
        return $this->i_IdResultado;
    }

    /* Establece el valor del campo Descripcion */
    public function setDescripcion( $s_Descripcion )
    {
        $this->s_Descripcion = $s_Descripcion;
    }

    /* Obtiene el valor del campo Descripcion */
    public function getDescripcion()
    {
        return $this->s_Descripcion;
    }

    /* Establece el valor del campo FlagFecha */
    public function setFlagFecha( $i_FlagFecha )
    {
        $this->i_FlagFecha = $i_FlagFecha;
    }

    /* Obtiene el valor del campo FlagFecha */
    public function getFlagFecha()
    {
        return $this->i_FlagFecha;
    }

    /* Establece el valor del campo FlagHora */
    public function setFlagHora( $i_FlagHora )
    {
        $this->i_FlagHora = $i_FlagHora;
    }

    /* Obtiene el valor del campo FlagHora */
    public function getFlagHora()
    {
        return $this->i_FlagHora;
    }

    /* Establece el valor del campo FlagTipoPago */
    public function setFlagTipoPago( $i_FlagTipoPago )
    {
        $this->i_FlagTipoPago = $i_FlagTipoPago;
    }

    /* Obtiene el valor del campo FlagTipoPago */
    public function getFlagTipoPago()
    {
        return $this->i_FlagTipoPago;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo Orden */
    public function setOrden( $i_Orden )
    {
        $this->i_Orden = $i_Orden;
    }

    /* Obtiene el valor del campo Orden */
    public function getOrden()
    {
        return $this->i_Orden;
    }

    /* Recupera un objeto Cr_llamada_resultadoBN desde un RecordSet */
    public static function retrieveByRs( $o_Cr_llamada_resultadoRs )
    {
        $o_Cr_llamada_resultadoBN = new Cr_llamada_resultadoBN();
        $o_Cr_llamada_resultadoBN->setIdResultado( ( integer ) $o_Cr_llamada_resultadoRs[ "IdResultado" ] );
        $o_Cr_llamada_resultadoBN->setDescripcion( $o_Cr_llamada_resultadoRs[ "Descripcion" ] );
        $o_Cr_llamada_resultadoBN->setFlagFecha( ( integer ) $o_Cr_llamada_resultadoRs[ "FlagFecha" ] );
        $o_Cr_llamada_resultadoBN->setFlagHora( ( integer ) $o_Cr_llamada_resultadoRs[ "FlagHora" ] );
        $o_Cr_llamada_resultadoBN->setFlagTipoPago( ( integer ) $o_Cr_llamada_resultadoRs[ "FlagTipoPago" ] );
        $o_Cr_llamada_resultadoBN->setEstado( $o_Cr_llamada_resultadoRs[ "Estado" ] );
        $o_Cr_llamada_resultadoBN->setOrden( ( integer ) $o_Cr_llamada_resultadoRs[ "Orden" ] );
        return $o_Cr_llamada_resultadoBN;
    }
}
?>